hledger-lib-0.26: Core data types, parsers and utilities for the hledger accounting tool.

Safe Haskell | None
Language | Haskell2010

Hledger.Reports.EntriesReport

Contents

- Tests

Description

Journal entries report, used by the print command.

Synopsis

- type EntriesReport = [EntriesReportItem]
- type EntriesReportItem = Transaction
- entriesReport :: ReportOpts -> Query -> Journal -> EntriesReport
- tests_Hledger_Reports_EntriesReport :: Test

# Documentation

type EntriesReport = [EntriesReportItem] Source

A journal entries report is a list of whole transactions as originally entered in the journal (mostly). This is used by eg hledger's print command and hledger-web's journal entries view.

type EntriesReportItem = Transaction Source

entriesReport :: ReportOpts -> Query -> Journal -> EntriesReport Source

Select transactions for an entries report.

# Tests

tests_Hledger_Reports_EntriesReport :: Test Source